# UniTAP.dev.ports.modules.capturer.event.event_types

class EventFileFormat(enum.IntEnum):

Describe all supported file formats for saving events:

- BIN.
- TXT (Support will be added later).

UNKNOWN = <EventFileFormat.UNKNOWN: -1>
BIN = <EventFileFormat.BIN: 0>
TXT = <EventFileFormat.TXT: 1>
HTML = <EventFileFormat.HTML: 2>
CSV = <EventFileFormat.CSV: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class EventSDP(enum.IntEnum):

Describe all supported SDP packets types:

AudioTimeStamp = <EventSDP.AudioTimeStamp: 1>
AudioStream = <EventSDP.AudioStream: 2>
Extension = <EventSDP.Extension: 4>
AudioCopyManagement = <EventSDP.AudioCopyManagement: 5>
ISRC = <EventSDP.ISRC: 6>
VSC = <EventSDP.VSC: 7>
CG0 = <EventSDP.CG0: 8>
CG1 = <EventSDP.CG1: 9>
CG2 = <EventSDP.CG2: 10>
CG3 = <EventSDP.CG3: 11>
CG4 = <EventSDP.CG4: 12>
CG5 = <EventSDP.CG5: 13>
CG6 = <EventSDP.CG6: 14>
CG7 = <EventSDP.CG7: 15>
PictureParamSet = <EventSDP.PictureParamSet: 16>
VSC_EXT_VESA = <EventSDP.VSC_EXT_VESA: 32>
VSC_EXT_CTA = <EventSDP.VSC_EXT_CTA: 33>
Adaptive_Sync = <EventSDP.Adaptive_Sync: 34>
VS = <EventSDP.VS: 129>
AVI = <EventSDP.AVI: 130>
SPD = <EventSDP.SPD: 131>
Audio = <EventSDP.Audio: 132>
MPEG = <EventSDP.MPEG: 133>
NTSC_VBI = <EventSDP.NTSC_VBI: 134>
DRM = <EventSDP.DRM: 135>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class EventLinkPattern(enum.IntEnum):

Describe all supported Link Pattern packets types:

TPS1Begin = <EventLinkPattern.TPS1Begin: 0>
TPS1End = <EventLinkPattern.TPS1End: 1>
TPS2Begin = <EventLinkPattern.TPS2Begin: 2>
TPS2End = <EventLinkPattern.TPS2End: 3>
TPS3Begin = <EventLinkPattern.TPS3Begin: 4>
TPS3End = <EventLinkPattern.TPS3End: 5>
TPS4Begin = <EventLinkPattern.TPS4Begin: 6>
TPS4End = <EventLinkPattern.TPS4End: 7>
IdleBegin = <EventLinkPattern.IdleBegin: 10>
IdleEnd = <EventLinkPattern.IdleEnd: 11>
ActiveBegin = <EventLinkPattern.ActiveBegin: 12>
ActiveEnd = <EventLinkPattern.ActiveEnd: 13>
SleepBegin = <EventLinkPattern.SleepBegin: 14>
SleepEnd = <EventLinkPattern.SleepEnd: 15>
StandbyBegin = <EventLinkPattern.StandbyBegin: 16>
StandbyEnd = <EventLinkPattern.StandbyEnd: 17>
EIEOSBegin = <EventLinkPattern.EIEOSBegin: 18>
EIEOSEnd = <EventLinkPattern.EIEOSEnd: 19>
CustomBegin = <EventLinkPattern.CustomBegin: 20>
CustomEnd = <EventLinkPattern.CustomEnd: 21>
Begin25201 = <EventLinkPattern.Begin25201: 22>
End25201 = <EventLinkPattern.End25201: 23>
Begin25202 = <EventLinkPattern.Begin25202: 24>
End25202 = <EventLinkPattern.End25202: 25>
PRBS7Begin = <EventLinkPattern.PRBS7Begin: 26>
PRBS7End = <EventLinkPattern.PRBS7End: 27>
PRBS31Begin = <EventLinkPattern.PRBS31Begin: 28>
PRBS31End = <EventLinkPattern.PRBS31End: 29>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class EventVBID(enum.IntEnum):

Describe all supported VBID packets types:

SetVBlank = <EventVBID.SetVBlank: 1>
ClearVBlank = <EventVBID.ClearVBlank: 2>
AnyVBlank = <EventVBID.AnyVBlank: 3>
SetFieldID = <EventVBID.SetFieldID: 4>
CleatFieldID = <EventVBID.CleatFieldID: 8>
AnyFieldID = <EventVBID.AnyFieldID: 12>
SetInterface = <EventVBID.SetInterface: 16>
CleatInterface = <EventVBID.CleatInterface: 32>
AnyInterface = <EventVBID.AnyInterface: 48>
SetNoVideo = <EventVBID.SetNoVideo: 64>
CleatNoVideo = <EventVBID.CleatNoVideo: 128>
AnyNoVideo = <EventVBID.AnyNoVideo: 192>
SetNoAudio = <EventVBID.SetNoAudio: 256>
CleatNoAudio = <EventVBID.CleatNoAudio: 512>
AnyNoAudio = <EventVBID.AnyNoAudio: 768>
SetHDCPSYNC = <EventVBID.SetHDCPSYNC: 1024>
CleatHDCPSYNC = <EventVBID.CleatHDCPSYNC: 2048>
AnyHDCPSYNC = <EventVBID.AnyHDCPSYNC: 3072>
SetCompressed = <EventVBID.SetCompressed: 4096>
CleatCompressed = <EventVBID.CleatCompressed: 8192>
AnyCompressed = <EventVBID.AnyCompressed: 12288>
SetReserved = <EventVBID.SetReserved: 16384>
CleatReserved = <EventVBID.CleatReserved: 32768>
AnyReserved = <EventVBID.AnyReserved: 49152>
MVID = <EventVBID.MVID: 65536>
MAUD = <EventVBID.MAUD: 131072>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class EventMSA(enum.IntEnum):

Describe all supported MSA packets types:

MVID = <EventMSA.MVID: 1>
NVID = <EventMSA.NVID: 2>
HTOTAL = <EventMSA.HTOTAL: 4>
VTOTAL = <EventMSA.VTOTAL: 8>
HSTART = <EventMSA.HSTART: 16>
VSTART = <EventMSA.VSTART: 32>
HSP = <EventMSA.HSP: 64>
HSW = <EventMSA.HSW: 128>
VSP = <EventMSA.VSP: 256>
VSW = <EventMSA.VSW: 512>
HWIDTH = <EventMSA.HWIDTH: 1024>
VHEIGHT = <EventMSA.VHEIGHT: 2048>
MISC0 = <EventMSA.MISC0: 4096>
MISC1 = <EventMSA.MISC1: 8192>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class EventInfoFrame(enum.IntEnum):

Describe all supported Info Frame packets types:

VS = <EventInfoFrame.VS: 129>
AVI = <EventInfoFrame.AVI: 130>
SPD = <EventInfoFrame.SPD: 131>
Audio = <EventInfoFrame.Audio: 132>
MPEG = <EventInfoFrame.MPEG: 133>
NTSC_VBI = <EventInfoFrame.NTSC_VBI: 134>
DRM = <EventInfoFrame.DRM: 135>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class EventData:

Class `EventData` describe one event. Contains following information:

- `source`
- `type`
- `brief` info
- `info`
- `time`
- `duration`
- `data`

source
type
brief
info
time
duration
data
class EventLCE:

Describe settings for LCE USB-C events:

- `v_bus`
- `iv_bus`
- `vcc`
- `vsbu`
- `i_vconn`

EventLCE(v_bus: int, iv_bus: int, vcc: int, vsbu: int, i_vconn: int)
v_bus
iv_bus
vcc
vsbu
i_vconn
def values(self) -> list:

Returns all values how list.

###### Returns:

> object of list type

class EventFilter:

Base class of all filters.

EventFilter(hw_caps=None)
config: int

Returns current configuration value of filter.

###### Returns:

> object of int type

additional_filter: list

Returns current additional filters for main filter.

###### Returns:

> object of list type

def clear(self):

Clear all config.

class EventFilterDpRx(EventFilter):

Class `EventFilterDpRx` allows setting filter for DPRX available events: `config_hpd_events`, `config_aux_events`, `config_sdp_events`, `config_link_pattern_events`, `config_vb_id_events`, `config_msa_events`, `config_aux_bw_events`. Inherited from class `EventFilter`.

EventFilterDpRx(hw_caps)
additional_filter: list

Returns current additional filters for main filter.

###### Returns:

> object of list type

def config_hpd_events(self, enable: bool):

Configure HDP events.

###### Arguments:

- enable (bool) - enable/disable HDP events

def config_aux_events(self, enable: bool):

Configure AUX events.

###### Arguments:

- enable (bool) - enable/disable AUX events

def config_sdp_events( self, enable: bool, *args: EventSDP ):

Configure SDP events.

###### Arguments:

- enable (bool) - enable/disable SDP events
- *args (`EventSDP`) - SDP packet types

def config_link_pattern_events( self, enable: bool, *args: EventLinkPattern ):

Configure Link Pattern events.

###### Arguments:

- enable (bool) - enable/disable Link Pattern events
- *args (`EventLinkPattern`) - Link Pattern packet types

def config_vb_id_events( self, enable: bool, *args: EventVBID ):

Configure VB ID events.

###### Arguments:

- enable (bool) - enable/disable VB ID events
- *args (`EventVBID`) - VB ID packet types

def config_msa_events( self, enable: bool, *args: EventMSA ):

Configure MSA events.

###### Arguments:

- enable (bool) - enable/disable MSA events
- *args (`EventMSA`) - MSA packet types

def config_aux_bw_events(self, enable: bool):

Configure AUX BW events.

###### Arguments:

- enable (bool) - enable/disable AUX BW events

##### Inherited Members

EventFilter
  config
  clear

class EventFilterDpTx(EventFilter):

Class `EventFilterDpTx` allows setting filter for DPTX available events: `config_hpd_events`, `config_aux_events`. Inherited from class `EventFilter`.

EventFilterDpTx(hw_caps)
def config_hpd_events(self, enable: bool):

Configure HDP events.

###### Arguments:

- enable (bool) - enable/disable HDP events

def config_aux_events(self, enable: bool):

Configure AUX events.

###### Arguments:

- enable (bool) - enable/disable AUX events

##### Inherited Members

EventFilter
  config
  additional_filter
  clear

class EventFilterHdRx(EventFilter):

Class `EventFilterHdRx` allows setting filter for HDRX available events: `config_hpd_events`, `config_packets_events`, `config_i2c_events`, `config_cec_events`. Inherited from class `EventFilter`.

EventFilterHdRx(hw_caps)
additional_filter: list

Returns current additional filters for main filter.

###### Returns:

> object of list type

def config_hpd_events(self, enable: bool):

Configure HPD events.

###### Arguments:

- enable (bool) - enable/disable HPD events

def config_packets_events( self, enable: bool, *args: EventInfoFrame ):

Configure InfoFrame events.

###### Arguments:

- enable (bool) - enable/disable InfoFrame events
- *args (`EventInfoFrame`) - InfoFrame packet types

def config_i2c_events(self, enable: bool):

Configure I2C events.

###### Arguments:

- enable (bool) - enable/disable I2C events

def config_cec_events(self, enable: bool):

Configure CEC events.

###### Arguments:

- enable (bool) - enable/disable CEC events

##### Inherited Members

EventFilter
  config
  clear

class EventFilterHdTx(EventFilter):

Class `EventFilterHdTx` allows setting filter for HDTX available events: `config_hpd_events`, `config_i2c_events`, `config_cec_events`. Inherited from class `EventFilter`.

EventFilterHdTx(hw_caps)
def config_hpd_events(self, enable: bool):

Configure HPD events.

###### Arguments:

- enable (bool) - enable/disable HPD events

def config_i2c_events(self, enable: bool):

Configure I2C events.

###### Arguments:

- enable (bool) - enable/disable I2C events

def config_cec_events(self, enable: bool):

Configure CEC events.

###### Arguments:

- enable (bool) - enable/disable CEC events

##### Inherited Members

EventFilter
  config
  additional_filter
  clear

class EventFilterUsbc(EventFilter):

Class `EventFilterUsbc` allows setting filter for USB-C available events: `config_pd_events`, `config_voltage_events`, `config_usbc_events`, `config_port_state_events`. Inherited from class `EventFilter`.

EventFilterUsbc(hw_caps)
def config_pd_events(self, enable: bool):

Configure PD events.

###### Arguments:

- enable (bool) - enable/disable PD events

def config_voltage_events( self, enable: bool, value: EventLCE ):

Configure LCE (voltage) events.

###### Arguments:

- enable (bool) - enable/disable LCE events
- value (`EventLCE`) - LCE packet types

def config_usbc_events(self, enable: bool):

Configure USB-C events.

###### Arguments:

- enable (bool) - enable/disable USB-C events

def config_port_state_events(self, enable: bool):

Configure USB-C state events.

###### Arguments:

- enable (bool) - enable/disable USB-C state events

##### Inherited Members

EventFilter
  config
  additional_filter
  clear